<?php
   $target='valor';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
   include("logos.php");
 
   $nombrepagina = "CONSULTA ".strtoupper($campo)." # ".strtoupper($valor);
   encabezado($target); 
   //$nombre_u=$nombre_usuario;
   //$pass=$password;
   $user=$_SESSION['validar'];
   //entrada($user,$_GET['id_user'],$_GET['suc']);
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 class obtiene{
			var $userObj;
			function obtener($suc){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
		  	}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
		
if (!empty($valor)){
$perfil=$_SESSION['perfil'];
$valor=trim($valor);
	if (!empty($tp_consulta)){
			$tp_consulta='1';
			$add="WHERE g.".$campo." = '".trim($valor)."' ORDER BY g.guia ASC";//AND g.id_sucursal='".$suc."' 
		}else 
		{
			$tp_consulta='2';
		    $add="WHERE g.".$campo." LIKE '".trim($valor)."%' ORDER BY g.guia ASC";//AND g.id_sucursal='".$suc."' 
		}


	#$add="WHERE g.".$campo." LIKE '".$valor."%' ORDER BY g.guia ASC";//AND g.id_sucursal='".$suc."' 

	$sql_consulta="SELECT g.guia, g.empresa, g.destinatario, g.direccion, g.telefono, g.ciudad ".
				"FROM $tabla as g ".
				"$add";
	class filas{
		var $rowsobj;
			function cantidad($sql_consulta){
					$this->userObj=new select_zonas();
					$cant=$this->userObj->get_filas($sql_consulta);
					return $cant;
			}
	}
	$filasobj=new filas();
	$cant=$filasobj->cantidad($sql_consulta);
	//$filas=mysql_num_rows($rst_select_lotes);
	$total_paginas= ceil($cant/$tamano_pagina);
}
?>
	<style type="text/css">
	td.comment{
  	padding:0pt;
  	padding-bottom:0pt;
  	margin:0pt;  
}

.comment{
	
	margin:0pt;	
	
	width:700px;
	height:auto !important;
  	overflow:scroll !important;

}

	</style>
<form action="" method="get" name="backup">
<CENTER>
  <table width="358" border="0" class="primaria">
    <tr class="miTable_tr">
      <td colspan="4" class="miTable_th1"><div align="center">..:: Consulta de Guias ::..</div></td>
    </tr>
    <tr class="miTable_tr">
      <td width="133" class="miTable_td"><select name="campo" class="inputbox">
<option value="guia"><? echo $Tguia ?></option>
<option value="empresa"><? echo $Tempresa ?></option>
<option value="destinatario"><? echo $Tdestinatario ?></option>
<option value="direccion"><? echo $Tdireccion ?></option>
<option value="telefono"><? echo $Ttelefono ?></option>
<option value="ciudad"><? echo $Tciudad ?></option>
<option value="identificacion"><? echo $Tidentificacion ?></option>
<option value="orden"><? echo $Torden ?></option>
<?php
if(!empty($Cespecial1)){
	echo "<option value='especial1'>".$Tespecial1."</option>";	
}
if(!empty($Cespecial2)){
	echo "<option value='especial2'>".$Tespecial2."</option>";	
}
if(!empty($Cespecial3)){
	echo "<option value='especial3'>".$Tespecial3."</option>";	
}
if(!empty($Cespecial4)){
	echo "<option value='especial4'>".$Tespecial4."</option>";	
}
if(!empty($Cespecial5)){
	echo "<option value='especial5'>".$Tespecial5."</option>";	
}
?>
</select>
      </td>
      <td width="300" class="miTable_td"><input name="valor" type="text" class="inputbox" id="valor" size="35">
          <input type="hidden" name="suc2" value="<? echo $_GET['suc'];?>" class="inputbox">
          <input type="hidden" name="id_user2" value="<? echo $_GET['id_user'];?>" class="inputbox">
          <input type="hidden" name="tabla2" value="<? echo $tabla;?>" class="inputbox">
      </td>
      <td width="300" class="miTable_td"><input name="tp_consulta" type="checkbox" class="inputbox" id="tp_consulta" size="35">
      </td>
      <td width="300" class="miTable_td">
      Busqueda Exacta.
      </td>
    </tr>
    <tr class="miTable_tr">
      <td class="miTable_th1" colspan="4"><div align="center">
          <input type="submit" name="Registrar" value="Consultar" class="inputbox">
      </div></td>
    </tr>
  </table>
  <table width="719" border="0" class="primaria">
<tr>
<td width="750" colspan="13" align="center">
<? echo "<FONT color='#F3250A'>CONSULTA RASTREO DE ".strtoupper($campo)." : </FONT><FONT color='#308DC7'>".strtoupper($valor)."</FONT>";?></td>
</tr>
<tr class=miTable_tr>
<td colspan="13" class='miTable_th1'><div align="center">..:: Procesos Reenviar Devoluciones ::..</div></td>
</tr>
<tr class=miTable_tr>
<td colspan="13" class=miTable_th1>Cantidad de registros encontrados <? print $cant;?></td>
</tr>
</table>
<table border="0" width="750" class="primaria">
<!--<tr class="miTable_tr">-->
<tr>
<td valign=top class="miTable_th1" width="38"><? echo $Tguia ?></td>
<td valign=top class="miTable_th1" width="40"><? echo $Torden ?></td>
<td valign=top class="miTable_th1" width="40"><? echo $Testado ?></td>
<td valign=top class="miTable_th1" width="60"><? echo $Tempresa ?></td>
<td valign=top class="miTable_th1" width="86"><? echo $Tdestinatario ?></td>
<td valign=top class="miTable_th1" width="81"><? echo $Tdireccion ?></td>
<td valign=top class="miTable_th1" width="81"><? echo $Tespecial5 ?></td>	
<td valign=top class="miTable_th1" width="40"><? echo $Ttelefono ?></td>
<td valign=top class="miTable_th1" width="67"><? echo $Tidentificacion ?></td>
<td valign=top class="miTable_th1" width="81"><? echo $Tciudad ?></td>
<!--<td valign=top class="miTable_th1" width="75"><? echo $Tsucursal ?></td>-->
<?
if(!empty($Tespecial1)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial1."</td>";
}
if(!empty($Tespecial2)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial2."</td>";
}
if(!empty($Tespecial3)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial3."</td>";
}
if(!empty($Tespecial4)){
	echo "<td valign=top class=miTable_th1 width='65'>".$Tespecial4."</td>";
}
echo "<td valign=top class='miTable_th1' width='81'>".$Tmensajero."</td>";
echo "<td valign=top class=miTable_th1 width='65'>".$Trastreo."</td>";
echo "</tr>";





if (!empty($valor)){		
		class elimina{
			  var $userObj;
			  function eliminar($valor,$campo,$tabla,$tp_consulta){
						$tamano_pagina=$_SESSION['tam'];
						$inicio=$_SESSION['inicio'];						
					   $this->userObj=new select_zonas();
					   $this->userObj->lista_guias_consulta($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],trim($valor),$campo,$tabla,$tp_consulta);
			  }
		}
		$eliminaObj=new elimina();
		$eliminaObj->eliminar(trim($valor),$campo,$tabla,$tp_consulta);		
	}
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="13">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href='ver_guia.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla&tp_consulta=$tp_consulta'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_guia.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla&tp_consulta=$tp_consulta'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_guia.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&campo=$campo&valor=$valor&tabla=$tabla&tp_consulta=$tp_consulta'> >> </A>";
			}		 			
		 } 
?></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="13">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
</CENTER>

	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</center>
</form>
